Mailinglist Archive: opensuse-buildservice (366 mails)

< Previous Next >
Re: [opensuse-buildservice] Problem with patching spec file: gconf2-rpm-macros and %gconf_schemas_prereq
  • From: Michal Marek <mmarek@xxxxxxx>
  • Date: Fri, 10 Aug 2007 12:38:48 +0200
  • Message-id: <46BC4038.9080101@xxxxxxx>
Stanislav Brabec wrote:
> But in GNOME:UNSTABLE, where these packages reside, needed packages are
> updated, so plain %if %suse_version would cause problems. So I need a
> switch:
> 
> If it is an old SuSE version or the package is built in Build Service.
> 
> It is not absolutely accurate, exactly it would be:
> 
> If it is an old SuSE version or the package is built in GNOME:UNSTABLE.
> 
> But just now there is no chance to specify it.

Actually it should be possible. In the bs, %distribution is contains
something like "$project / $repository". Or you could define a special
macro in GNOME:UNSTABLE config and test for it in the spec file.

Michal
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >